import { OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import { ContextMenuHook } from './types';
interface InvalidOperationEventData {
    invalidType: GC.Spread.Sheets.InvalidOperationType;
    message: string;
}
export default class SheetTabContextMenuHook implements ContextMenuHook {
    private table;
    tabStripHitInfo: GC.Spread.Sheets.IIHitTestTabStripInfo | null;
    constructor(table: OnesTable);
    removeAll(itemsDataForShown: GC.Spread.Sheets.ContextMenu.IMenuItemData[]): void;
    handleShowContextMenu(table: OnesTable, menuData: GC.Spread.Sheets.ContextMenu.IMenuItemData[], itemsDataForShown: GC.Spread.Sheets.ContextMenu.IMenuItemData[], hitInfo: any, _spread: object): void;
    handleDeleteSheet: () => boolean;
    handleDuplicateSheet: () => boolean;
    handleInvalidOperation: (cmd: unknown, data: InvalidOperationEventData) => void;
    destroy(): void;
    close(): void;
}
export {};
